> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bi Checkout Route

> Start a Stripe Checkout for a BI subscription (trial handled inside).



## OpenAPI

````yaml /openapi.json post /api/v1/brand-intelligence/billing/checkout
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brand-intelligence/billing/checkout:
    post:
      tags:
        - Brand Intelligence Billing
      summary: Create Bi Checkout Route
      description: Start a Stripe Checkout for a BI subscription (trial handled inside).
      operationId: create_bi_checkout_route_api_v1_brand_intelligence_billing_checkout_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BiCheckoutRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BiCheckoutRequest:
      properties:
        plan:
          type: string
          title: Plan
          description: starter | pro
        cycle:
          type: string
          title: Cycle
          description: monthly | yearly
          default: monthly
      type: object
      required:
        - plan
      title: BiCheckoutRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````